# $Revision: 1.3 $, $Date: 2002/10/19 14:57:03 $
#
# WARNING: ethereal.spec and tethereal.spec are using the same source
# file, so they should be keeped in sync!
# I found it easier to do it that way (two separate specs)
# If you know how to do it better feel free to do so.
#
# tethereal an ethereal-tools are built from this spec
Summary:	Console network traffic and protocol analyzer
Summary(pl):	Konsolowy analizator ruchu i protokow sieciowych
Name:		tethereal
Version:	0.9.6
Release:	3
License:	GPL
Group:		Networking
Source0:	http://www.ethereal.com/distribution/ethereal-%{version}.tar.gz
URL:		http://www.ethereal.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libpcap-devel >= 0.4
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	ucd-snmp-devel >= 4.2.6
BuildRequires:	zlib-devel
Requires:	libpcap >= 0.4
Requires:	ethereal-common = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# %define		_sysconfdir	/usr/share/misc

%description
Tethereal is a network protocol analyzer.  It lets you capture packet
data from a live network, or read packets from a previously saved
capture file, either printing a decoded form of those packets to the
standard output or writing the packets to a file.  Tethereal's native
capture file format is libpcap format, which is also the format used
by tcpdump and various other tools.

%description -l pl
Tethereal jest analizatorem protokow sieciowych. Pozwala na
przechwytywanie pakietw z sieci lub wczytywanie danych z pliku.
Zdekodowany wynik (a tethereal zna ponad 100 rozmaitych protokow
sieciowych!) jest wywietlony na ekranie. Natywnym formatem plikw
tetherala jest format libpcap, tak wic jest on kompatybilny
z tcpdumpem i innymi podobnymi narzdziami.

%package -n ethereal-tools
Summary:	Tools for manipulating capture files
Summary(pl):	Narzdzia do manipulacji plikami z przechwyconymi pakietami sieciowymi
Group:		Networking
Requires:	ethereal-common = %{version}

%description -n ethereal-tools
Set of tools for manipulating capture files. Contains:
editcap - Edit and/or translate the format of capture files
mergecap - Merges two capture files into one
text2cap - Generate a capture file from an ASCII hexdump of packets

%prep
%setup -q -n ethereal-%{version}

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd epan
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../wiretap
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..
%configure \
	--disable-static \
	--disable-ethereal \
	--disable-idl2eth \
	--enable-editcap \
	--enable-mergecap \
	--enable-ipv6 \
	--enable-randpkt \
	--enable-text2pcap \
	--enable-zlib \
	--with-pcap \
	--with-ssl \
	--with-ucdsnmp
#	--with-plugindir=%{_libdir}/ethereal \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %doc AUTHORS NEWS README* doc/randpkt.txt doc/README.developer
%attr(755,root,root) %{_bindir}/tethereal
%{_mandir}/man1/tethereal*

%files -n ethereal-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/editcap
%attr(755,root,root) %{_bindir}/mergecap
%attr(755,root,root) %{_bindir}/randpkt
%attr(755,root,root) %{_bindir}/text2pcap
%{_mandir}/man1/editcap*
%{_mandir}/man1/mergecap*
%{_mandir}/man1/text2pcap*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tethereal.spec,v $
Revision 1.3  2002/10/19 14:57:03  kloczek
release 3: rebuild against ucd-snmp 4.2.6.

Revision 1.2  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.1  2002/08/27 19:11:26  migo
- ethereal is now splitted into 4 packages: ethereal, tethereal, ethereal-tools, ethereal-common and tethereal
- these 4 packages are built from two spec files: ethereal.spec and tethereal.spec
- release 2
